/**
 * @flow
 * Created by Rabbit on 2019-04-30.
 */
import React from 'react';
import { connect } from 'react-redux';
import { Button } from 'react-native-elements';
import LinearGradient from 'react-native-linear-gradient';

function ThemeButton(props) {
  const { theme, buttonStyle } = props;
  if (theme.navEndColor) {
    return (
      <Button
        {...props}
        ViewComponent={LinearGradient} // Don't forget this!
        buttonStyle={[buttonStyle, { backgroundColor: theme.themeColor }]}
        linearGradientProps={{
          colors: [theme.themeColor, theme.navEndColor],
          start: { x: 0, y: 0.5 },
          end: { x: 1, y: 0.5 },
        }}
      />

    );
  }
  return (
    <Button
      {...props}
      buttonStyle={[buttonStyle, { backgroundColor: theme.themeColor }]}
    />
  );
}

function propsMapping({ theme }) {
  return {
    theme,
  };
}

export default connect(propsMapping, null)(ThemeButton);
