/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React, { Component } from 'react';
import {
  StyleSheet,
  Image,
  View,
} from 'react-native';
import { WaterfallList } from 'react-native-largelist-v3';
import { compose } from 'redux';
import { connect } from 'react-redux';
import { push } from '../BasicNavigator/actions';
import NavigationBar from '../components/NavigationBar';

const cookData = require('./data.json').data.list;

type Props = {};
const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#F5FCFF',
  },
  instructions: {
    textAlign: 'center',
    color: '#333333',
    marginBottom: 5,
  },
});

class NativeComponentList extends Component<Props> {
  state = { data: [...cookData, ...cookData, ...cookData, ...cookData, ...cookData] };

  _renderItem = item => <Image source={{ uri: item.showimg }} style={{ flex: 1, margin: 5 }} />;

  render() {
    return (
      <View style={styles.container}>
        <NavigationBar
          title="NativeComponentList"
        />
        <WaterfallList
          data={this.state.data}
          heightForItem={item => SCREEN_WIDTH / Math.floor(SCREEN_HEIGHT / 150)
            * +item.showimg_height / +item.showimg_width}
          numColumns={2}
          // preferColumnWidth={150}
          renderItem={this._renderItem}
        />
      </View>
    );
  }
}

function actionMapping(dispatch) {
  return {
    push: compose(dispatch, push),
  };
}
export default connect(null, actionMapping)(NativeComponentList);
