/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React, { Component } from 'react';
import {
  Platform, StyleSheet, Text, View, TouchableOpacity,
} from 'react-native';
import { NavigationEvents, withNavigationFocus } from 'react-navigation';
import { compose } from 'redux';
import { connect } from 'react-redux';
import { push,tab } from '../BasicNavigator/actions';
import NavigationBar from '../components/NavigationBar';
import BackButton from '../components/BackButton';



type Props = {};

function JSPage(props) {
    console.log('JSPage_props:', props)
    //console.log('JSPage props from lastPage', this.props.navigation.state);
    return (
      <View style={styles.container}>
        <NavigationBar
          left={<BackButton />}
          title="ThemeDemo"
        />
        <TouchableOpacity onPress={() => { props.push('NativePage',{may: '22'}); }}>
          <Text style={styles.instructions}>JSPage</Text>
        </TouchableOpacity>
        <TouchableOpacity onPress={() => { props.tab('ServicePage'); }}>
          <Text style={styles.instructions}>Tab切换</Text>
        </TouchableOpacity>

      </View>

    );

}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#F5FCFF',
  },
  welcome: {
    fontSize: 20,
    textAlign: 'center',
    margin: 10,
  },
  instructions: {
    textAlign: 'center',
    color: '#333333',
    marginBottom: 5,
  },
});
function propsMapping(props) {
  const { nav } = props;
  return {
    nav,
  };
}
function actionMapping(dispatch) {
  return {
    push: compose(dispatch, push),
    tab: compose(dispatch, tab),
  };
}
//const mapDispatchToProps = dispatch => (bindActionCreators({goNext}, dispatch))

export default connect(propsMapping, actionMapping)(JSPage);
